explain_usleep_or_die(3)

NAME
explain_usleep_or_die - suspend execution for ms intervals and report errors
    "suspend execution for microsecond intervals and report errors"

SYNOPSIS
#include <libexplain/usleep.h>

void explain_usleep_or_die(long long usec);
int explain_usleep_on_error(long long usec);

DESCRIPTION
The explain_usleep_or_die function is used to call the usleep(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_usleep(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_usleep_on_error function is used to call the usleep(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_usleep(3) function, but still returns to the caller.

usec
    The usec, exactly as to be passed to the usleep(3) system call.

RETURN VALUE
The explain_usleep_or_die function only returns on success, see usleep(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_usleep_on_error function always returns the value return by the wrapped usleep(3) system call.

EXAMPLE
The explain_usleep_or_die function is intended to be used in a fashion similar to the following example:
    explain_usleep_or_die(usec);

SEE ALSO

usleep(3)
    suspend execution for microsecond intervals

explain_usleep(3)
    explain usleep(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller